const CACHE_NAME = 'whsale-cache-v1';
const URLS_TO_CACHE = [
  '/',
  '/dashboard',
  '/assets/logo_white.png',
  '/assets/favicon.ico'
];


self.addEventListener('install', event => {
  event.waitUntil(
    caches.open(CACHE_NAME).then(cache => cache.addAll(URLS_TO_CACHE))
  );
});

self.addEventListener('fetch', event => {
  event.respondWith(
    caches.match(event.request).then(response => response || fetch(event.request))
  );
});
