<?php
// Parse current URI path
$currentPath = trim(parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH), '/');

// Normalize for subdirectory installs (update this if your base folder changes)
$currentPath = str_replace('IbeamInventoryPro/', '', $currentPath);

// Start with Dashboard
$breadcrumbs = [
    ['label' => '<i class="bi bi-house-fill"></i>', 'url' => BASE_URL . 'dashboard', 'is_html' => true]
];


$queryParams = $_GET ?? [];

// Receiving View
if (strpos($currentPath, 'receiving/view') !== false && isset($queryParams['id'])) {
    $breadcrumbs[] = ['label' => 'Receiving Logs', 'url' => BASE_URL . 'receiving'];
    $breadcrumbs[] = ['label' => 'View Log'];
}

elseif (strpos($currentPath, 'receiving/upload_photo') !== false) {
    if (isset($_SESSION['came_from_receiving_view'])) {
        $breadcrumbs[] = ['label' => 'Receiving Logs', 'url' => BASE_URL . 'receiving'];
        $breadcrumbs[] = ['label' => 'View Log', 'url' => BASE_URL . 'receiving/view?id=' . urlencode($_SESSION['came_from_receiving_view'])];
    }
    $breadcrumbs[] = ['label' => 'Upload Photo'];
}




// Receiving Edit
elseif (strpos($currentPath, 'receiving/edit') !== false && isset($queryParams['id'])) {
    $breadcrumbs[] = ['label' => 'Receiving Logs', 'url' => BASE_URL . 'receiving'];

if (isset($queryParams['id'])) {
    $breadcrumbs[] = [
        'label' => 'View Log',
        'url' => BASE_URL . 'receiving/view?id=' . urlencode($queryParams['id'])
    ];
}

$breadcrumbs[] = ['label' => 'Edit Log'];

}

// Receiving Add
elseif (strpos($currentPath, 'receiving/add') !== false) {
    $breadcrumbs[] = ['label' => 'Receiving Logs', 'url' => BASE_URL . 'receiving'];
    $breadcrumbs[] = ['label' => 'Add Log'];
}

// Receiving Index
elseif ($currentPath === '/IbeamInventoryPro/receiving' || $currentPath === '/receiving') {
    $breadcrumbs[] = ['label' => 'Receiving Logs', 'url' => BASE_URL . 'receiving'];
}


// Inventory View
elseif (strpos($currentPath, 'inventory/view') !== false && isset($queryParams['id'])) {
    if (isset($_SESSION['came_from_receiving_view'])) {
        $breadcrumbs[] = ['label' => 'Receiving Log', 'url' => BASE_URL . 'receiving/view?id=' . $_SESSION['came_from_receiving_view']];
    } else {
        $breadcrumbs[] = ['label' => 'Inventory', 'url' => BASE_URL . 'inventory'];
    }
    $breadcrumbs[] = ['label' => 'View Item'];
}

// Inventory Add
elseif (strpos($currentPath, 'inventory/add') !== false) {
    if (isset($_GET['receiving_id'])) {
        $receivingId = urlencode($_GET['receiving_id']);
        $breadcrumbs[] = ['label' => 'Receiving Logs', 'url' => BASE_URL . 'receiving'];
        $breadcrumbs[] = ['label' => 'View Log', 'url' => BASE_URL . 'receiving/view?id=' . $receivingId];
    } else {
        $breadcrumbs[] = ['label' => 'Inventory', 'url' => BASE_URL . 'inventory'];
    }

    $breadcrumbs[] = ['label' => 'Add Item'];
}


// Inventory Edit
elseif (strpos($currentPath, 'inventory/edit') !== false && isset($queryParams['id'])) {
    $itemId = urlencode($queryParams['id']);

    if (isset($queryParams['from']) && $queryParams['from'] === 'receiving' && isset($_SESSION['came_from_receiving_view'])) {
        // Breadcrumb path: Dashboard > Receiving Log > View Item > Edit Item
        $receivingId = urlencode($_SESSION['came_from_receiving_view']);
        $breadcrumbs[] = ['label' => 'Receiving Log', 'url' => BASE_URL . 'receiving/view?id=' . $receivingId];
        $breadcrumbs[] = ['label' => 'View Item', 'url' => BASE_URL . "inventory/view?id=$itemId&from=receiving"];
    } else {
        // Breadcrumb path: Dashboard > Inventory > View Item > Edit Item
        $breadcrumbs[] = ['label' => 'Inventory', 'url' => BASE_URL . 'inventory'];
        $breadcrumbs[] = ['label' => 'View Item', 'url' => BASE_URL . "inventory/view?id=$itemId"];
    }

    $breadcrumbs[] = ['label' => 'Edit Item'];
}


// Inventory Manage
elseif ($currentPath === 'inventory' || $currentPath === 'inventory') {
    $breadcrumbs[] = ['label' => 'Inventory', 'url' => BASE_URL . 'inventory'];
}
?>

<?php if (!empty($breadcrumbs)): ?>
<nav aria-label="breadcrumb" class="mb-4">
    <ol class="breadcrumb bg-white px-3 py-2 rounded shadow-sm">
        <?php $lastIndex = count($breadcrumbs) - 1; ?>
        <?php foreach ($breadcrumbs as $index => $crumb): ?>
            <?php
                $isLast = ($index === $lastIndex);
                $liClass = 'breadcrumb-item' . ($isLast ? ' active fw-semibold text-primary' : '');
                $ariaCurrent = $isLast ? ' aria-current="page"' : '';
            ?>
            <li class="<?= $liClass ?>"<?= $ariaCurrent ?>>
    <?php if (!empty($crumb['url'])): ?>
        <a href="<?= $crumb['url'] ?>" class="<?= $linkClass ?>">
            <?= isset($crumb['is_html']) && $crumb['is_html'] ? $crumb['label'] : htmlspecialchars($crumb['label']) ?>
        </a>
    <?php else: ?>
        <?= isset($crumb['is_html']) && $crumb['is_html'] ? $crumb['label'] : htmlspecialchars($crumb['label']) ?>
    <?php endif; ?>
</li>

        <?php endforeach; ?>
    </ol>
</nav>


<?php endif; ?>
