<?php
require_once __DIR__ . '/../../../config/config.php';
require_once __DIR__ . '/../../../config/db.php';
require_once __DIR__ . '/../../../helpers/AuthHelper.php';
AuthHelper::requireLogin();

$userId = $_SESSION['user_id'];

$stmt = $pdo->prepare("
    SELECT organization_slug, logo_path
    FROM whsale_inventory_pro_users
    WHERE id = ?
");
$stmt->execute([$userId]);
$orgData = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$orgData) {
    echo "<p class='text-danger mt-5 text-center'>Unable to load organization profile.</p>";
    exit;
}

$organization_slug = $orgData['organization_slug'];
$logo_path = $orgData['logo_path'];
?>


<div class="container mt-4">
    <h4 class="mb-4">Storefront Profile</h4>

    <?php if ($org): ?>
        <div class="card shadow-sm">
            <div class="card-body">
                <h5 class="card-title"><?= htmlspecialchars($org['organization_slug']) ?></h5>
                <?php if ($org['logo_path']): ?>
                    <img src="<?= BASE_URL ?>public/uploads/logos/<?= htmlspecialchars($org['logo_path']) ?>" alt="Logo" class="img-fluid mb-3" style="max-height: 120px;">
                <?php else: ?>
                    <p class="text-muted">No logo uploaded yet.</p>
                <?php endif; ?>
                <a href="<?= BASE_URL ?>storefront/profile/edit" class="btn btn-outline-primary">Edit Profile</a>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-danger">Organization not found.</div>
    <?php endif; ?>
</div>

<?php include __DIR__ . '/../../partials/footer.php'; ?>
